### Enumeration

# FwupdPlugin IOChannelFlags

#### Declaration

    flags FwupdPlugin.IOChannelFlags

#### Description [src]

The flags used when reading data from the TTY.

#### Members

Name | Description
--- | ---
`FU_IO_CHANNEL_FLAG_NONE` | No flags are set.
`FU_IO_CHANNEL_FLAG_SINGLE_SHOT` | Only one read or write is expected.
`FU_IO_CHANNEL_FLAG_FLUSH_INPUT` | Flush pending input before writing.
`FU_IO_CHANNEL_FLAG_USE_BLOCKING_IO` | Block waiting for the TTY.